[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCanvas.Frame

Draws a frame or border around the specified rectangle using the Pen for the canvas.

## Declaration

Source position: graphics.pp line 1126

`public procedure TCanvas.Frame(`
`const ARect: TRect`
`); virtual; procedure TCanvas.Frame(`
`X1: Integer;`
`Y1: Integer;`
`X2: Integer;`
`Y2: Integer`
`);`

## Arguments

`ARect` |  | TRect instance with the bounds for the rectangle.

## Arguments

`X1` |  | Left coordinate for the Top, Left of the rectangle.
`Y1` |  | Top coordinate for the Top, Left of the rectangle.
`X2` |  | Right coordinate for the Bottom, Right of the rectangle.
`Y2` |  | Bottom coordinate for the Bottom, Right of the rectangle.

## Description

Frame is method used to draw a border or frame for the specified rectangle use the Pen for the canvas. Overloaded variants of the method are provided which allow the rectangle to be specified as:

- Four separate Integer coordinates representing the top/left and bottom/right of the rectangle.
- A TRect instance where the vertices are represented as either four Integers, two TPoint instances for TopLeft and BottomRight, or a vector using the TArray4IntegerType.

Frame sets the Style property in Brush to bsClear. This suppresses filling the interior of the rectangle with the Color for the Brush. In others words, the area in side the frame is transparent. The Brush style is restored to its previous value prior to exit.

Frame calls the Rectangle method to draw the borders on the frame using the Pen for the canvas.

Set property values in Pen prior to calling the method, including:

- Mode
- Style
- Color
- Width
- JoinStyle
- EndCap

## See also

TCanvas.Rectangle |  | Draws a Rectangle with the specified coordinates.
TCanvas.FrameRect |  | Draws a border around the specified rectangle with the Brush for the canvas.
TCanvas.Frame3D |  | Draws a frame for the specified rectangle with a 3-dimensional appearance.
TCanvas.FloodFill |  | Fills an area at the specified coordinates with the current Brush for the canvas.